Changes in release 3.5.2

   * amstatus
       o new --[no]taped argument, useful when running
         'watch amstatus CONF --summary --notaped' if the run have many tapes
   * amvault
       o new --uniq, --no-uniq argument
       o Behavior change: The default is --uniq
       o new --delayed argument
       o new --run-delayed argument

Changes in release 3.5.1

   * Fix compilation on Solaris
   * Do not check all 'r' bit on suid binary
   * Fix parsing of configuration override (-o)
       o can unset some setting
   * client code will not fail if shared memory is not available
   * amreport
       o lot of improvement
   * allow '*' for a datestamp wildcard
   * amgetconf
       o print an empty string if a parameter is not set instead of  'no such parameter'
   * amdump
       o new --no-dump, --no-flush and --no-vault argument
   * amstatus fix
   * lock holding disk to protect multiple parallel access

Changes in release 3.5

   * Use different thread to connect to different client
   * amservice, amcheck, planner, dumper are no longer suid root
   * ambind
       o new suid program to bind to a privileged port
   * amanda-security.conf
       o new tcp_port_range, range of privileged tcp port
       o new udp_port_range, range of privileged udp port
   * S3 device
       o openstack keystone v3 support
           - device-property STORAGE-API must be set to SWIFT-3
           - new PROJECT-NAME device-property
           - new DOMAIN-NAME device-property
   * amfetchdump
       o rename --directory argument to --target
   * ampgsql
       o new --incremental property
       o new --remove-full-wal property
       o new --remove-incremental-wal property

Changes in release 3.4.6

   * fix planner looping
   * fix overflow in S3 device
   * fix compilation on OpenBSD
   * fix race in amarchive reader
   * fix amflush (flush date selected by user)
   * fix local auth, use getaddrinfo to find if the host is local
   * fix dumper cancelling the shm_ring with a STRANGE result
   * fix chunker hang
   * Improve taperscan with chg-single and interactivity

Changes in release 3.4.5
   * fix amvault
   * fix taper hang
   * fix memory leak in amrecover
   * fix config parser when -o option
   * fix compilation on FreeBSD

Changes in release 3.4.4
   * checkdump
       o Verify all copies of a dump
   * diskflat device
       o truncate the file when overwriting a label
   * amrecover
       o fix hang
   * ambackup
       o allow incremental backup
   * tapelist file
       o fix not adding label to tapelist file when creating it
   * email interactivity
       o improvement
   * S3 device
       o work with openstack keystone V2 (Juno and newer)
   * labelstr
       o fix matching a labelstr

Changes in release 3.4.3
   * fix MAJOR issue: amdump can reuse the same tape in the same run
   * amtape slot
       o add drive selection
   * compile/link with libressl
   * fix portability issue
   * fix for NetBSD
   * fix 'Device busy' problem
   * fix planner crash
   * fix setregid call

Changes in release 3.4.2

   * ambsdtar
       o add a SPARSE property
   * amsamba
       o fix for newer samba version
   * s3 device
       o fix for '/' in prefix
       o fix for port in S3-HOST
   * fix compatibility with older version (2.4.2)
   * configure
       o amanda-security.conf is now in $sysconfdir
   * amgetconf
       o add many build. parameter
   * fix warning reported by the clang compiler
   * fix compilation without SSE4_2 when configure detect it
   * amtoc fix
   * amlabel -f fix
   * many more fixes

Changes in release 3.4.1

   * new --without-rest-server configure option
   * fix reported bugs
       o build issue
       o packaging issue
       o amstar: fix exclude pattern
       o amrecover: do not print the size too often
       o amtapetype: fix error with property_set
       o allow a tapedev in the a storage section
       o amstatus: small fix

Changes in release 3.4

   * Allow to put a dump on more than one storage
   * Allow to specify which DLE/level go to which storage
   * amdumpcan dothe vaulting operation (copy from one storage to another one)
   * Use shared memory to pass data between processes
   * A CRC is computed on the backup image and is verified on restore.
   * Run multiple backup inparallel, there is no lock preventing concurrent run.
   * Add letter based sequence to autolabel and meta-autolabel.
   * And 'includefile' directive for the disklist.
   * tapepool, tape are in pool
   * amanda.conf (index file can be kept sorted, compressed or uncompressed)
       o compress-index
       o sort-index
   * amanda.conf (interface section)
       o add a src-ip setting.
   * amanda.conf (dumptype section)
       o add a retry-dump setting.
       o add atag setting.
       o deprecate usetimestamps, it is always "yes"
   * amanda.conf (new policy section), define when a tape can be reuse or not.
       A lot more powerful than the tapecycle setting.
       o retention-tapes
       o retention-days
       o retention-recover
       o retention-full
   * amanda.conf (new storage section), define how to operate each changer.
       Many old global setting can be set differently for each storage.
       o autoflush
       o autolabel
       o comment
       o device-output-buffer-size
       o dump-selection (select which dle go to that storage)
       o eject-volume
       o erase-on-failure
       o erase-on-full
       o erase-volume
       o flush-threshold-dumped
       o flush-threshold-scheduled
       o interactivity
       o labelstr
       o max-dle-by-volume
       o meta-autolabel
       o policy
       o report-use-media
       o report-next-media
       o runtapes
       o set-no-reuse
       o tapepool
       o taperalgo
       o taperflush
       o taperscan
       o taper-parallel-write
       o tapetype
       o tpchanger
   * amanda.conf
       o labelstr can be a new MATCH-AUTOLABEL keyword, labelstr can use
	 the autolabel variable.
       o storage (default storage)
         You can set multiple storage, all DLEs will be sent to all storages
       o amvault-storage (storage used by amvault)
   * amvault
       o deprecated option: --label-template, --dst-changer, --autolabel
         they must be set in a storage section
       o new --dst-storage option to overwrite the default amvault-storage.
   * amlabel
       o new --pool and --storage options.
   * amrmtape
       o new --list-retention, --list-no-retention and --remove-no-retention
         options.
   * amtape
       o print the RetentionType in the inventory
   * amadmin
       o new 'retention' command'
   * amfetchdump
       o --init and --no-restore arguments.
   * s3 device
       o New READ-FROM-GLACIER and TRANSITION-TO-GLACIER properties, they
         allow to transition s3 objects to Glacier.
   * tapelist file
       o include POOL, STORAGE and CONFIG
       o you can share the same tapelist file across multiple config.
   * amgetconf
       o New --platform argument
       o New --distro argument
   * ambackup/ambackupd
       o New client ambackup program to start a backup of the client
       o New server service ambackupd
       o This protocol works even if the client is behind a NAT

Changes in release 3.3.9
    * new --with-security-file configure option
	- It set the default security file
	- default to /etc/amanda-security.conf
    * security-fix
        - All previous release of amanda allow the 'amanda' user to execute
          any code as root, and to execute an interactive shell as root.
        - This is a security vulnerability if you do not trust the 'amanda'
          user.
        - There is no need to upgrade if you trust the 'amanda' user and the
          account is secure.
            - good password
            - secure xinetd.conf setting
            - securae .amandahosts setting
        - The 'amanda' user can read all files in the machine, it is what a
          backup program do.
        - The set of fix disable the abilities to run unwanted code as root
          or to write file anywhere in the filesystem.
    * /etc/amanda-security.conf
        - A file that contains security setting.
        - It list all binaries amanda can execute as root
        - restore_by_amanda_user
            - It tell if the 'amanda' user can do restore as root.
            - It allow the 'amanda' user to write files anywhere in the
              filesystem
        - see: man amanda-security.conf
    * amgtar/amstar/ambsdtar/runtar
        - Disable arguments that can fork program.
        - Verify the realpath (with symbolic link resolved) is in the
          amanda-security.conf file.
        - Verify the tar/star/bsdtar realpath program is secure
            - owned by root and modifiable only by root.
        - On restore, check the restore_by_amanda_user setting if not run
          by root.

Changes in release 3.3.8
    * s3 device
	o New NEARLINE S3-STORAGE-CLASS for Google storage.
	o New AWS4 STORAGE-API
    * amcryptsimple
	o Works with newer gpg2.
    * amgtar
	o Default SPARSE value is NO if tar < 1.28.
	o Because a bug in tar with some filesystem.
    * amstar
	o support include in backup mode.
    * ampgsql
	o Add FULL-WAL property.
    * Many bugs fix.

Changes in release 3.3.7
    * amvault
        o new --no-interactivity argument.
        o new --src-labelstr argument.
    * amdump
        o compute crc32 of the streams and write them to the debug files.
    * chg-robot
        o Add a BROKEN-DRIVE-LOADED-SLOT. property.
    * Many bugs fix.

Changes in release 3.3.6
    * ambsdtar
        o new application that use BSD tar to do the backup.

Changes in release 3.3.5

    * amtape
        o faster 'verify' command.
    * fix parsing of config override arguments.
    * amsamba
        o Add REGEX-MATCH property.
    * amvault
        o Print progress status.
    * ndmp device
        o INDIRECT property default to yes.
    * Many bugs fix.

Changes in release 3.3.4
    * amreport
        o new --format argument
        o new 'json' and 'json_raw' format.
    * amanda.conf
        o new REPORT-FORMAT option.
    * amtape
        o new 'verify' command.
    * amadmin
        o new 'force-level-1' command.
    * ampgslq
        o Add VERBOSE property.
    * S3 device
        o handle DURABLE_REDUCED_AVAILABILITY for google storage.
    * Many bugs fix.

Changes in release 3.3.3

    * amdump.X log files use timestamp instead of number, amdump and amdump.1
      are maintained as symlink.
    * chg-disk
        o Use the changerfile for the statefile.
    * s3 device
        o support CASTOR storage
    * amanda.conf
        o New REPORT-USE-MEDIA and REPORT-NEXT-MEDIA.
    * amfetchdump
        o new --extract, --directory, --data-path and --application-property
          arguments. It allow to do the extraction on the server.
    * --exact-match argument to many command, and '=' prefix to expression.
        o It diable use of expression for host, disk, level and datestamp on
          command line argument.
    * All changer scripts.
        o Add LOCK-TIMEOUT property.
    * Many bug fix

Changes in release 3.3.2

   * amgtar
       o New IGNORE-ZEROS property.
   * amsamba
       o Fix use of subdir for restore.
   * s3 device
       o New PROXY property.
       o New PASSWORD, USERNAME, TENANT_ID, TENANT_NAME properties.
       o New STORAGE_API property.
       o New S3_MULTI_DELETE property
       o New CLIENT_ID, CLIENT_SECRET and REFRESH_TOKEN properties.
       o New CREATE-BUCKET property.
       o New PROJECT-ID property.
       o New REUSE-CONNECTION property.
       o Works with swift and google storage.
   * NDMP device
       o Add INDIRECT property.
   * amanda.conf
       o Add 'max-warnings', The maximum number of warning lines in the report.
       o Default 'columspec' changed to: HostName=0:-12:12,Disk=1:-11:11,Level=1:-1:1,OrigKB=1:-7:0,OutKB=1:-7:0,Compress=1:-6:1,DumpTime=1:-7:7,Dumprate=1:-6:1,TapeTime=1:-6:6,TapeRate=1:-6:1
   * amadmin
       o Add --no-default and --print-source arguments for config and
         disklist command.
   * amfetchdump
       o Print progress.
       o Add --decrypt, --no-decrypt, --server-decrypt, --client-decrypt,
         --compress, --no-compress, --server-compress and --client-compress
         options.
   * fix for compilation with newer glib.
   * fix for compilation on cigwin.
   * Many bug fix.

Changes in release 3.3.1

   * New 'settransalte' command in amrecover.
   * amanda.conf
       o new '$s' substitution in autolabel.
       o new 'max-dle-by-volume' global option.
       o new 'eject-volume' global option.
   * All perl programs have a new '--version' argument.
   * ampgsql can take property from server configuration.
   * amgetconf can print one property of a section.
   * s3 device
       o new S3_SERVER_SIDE_ENCRYPTION property.
   * Many bug fix.

Changes in release 3.3.0

   * The default auth is changed to "bsdtcp", if you are using the default bsd
     then you must add it to your configuration.
       o in amanda.conf
       o in amanda-client.conf
       o in dumptype/disklist
       o in xinetd (if no '-auth' argument to amandad)
   * amdump trap crtl-c, it still send the report and do cleanup if you do
     one crtl-c, do it more than once to abort the run.
   * s3 device
       o use multiple threads to speedup the transfer
       o can connect to eucalytus.
       o new NB_THREADS_BACKUP property
       o new NB_THREADS_RECOVERY property
       o new S3_HOST property
       o new S3_SERVICE_PATH property
       o new S3_SUBDOMAIN property
   * chg-aggregate: new changer that use other changer sequentially.
   * meta-volume
   * Add meta label in tapelist file
   * chg-disk:
       o new NUM-SLOT property
       o new AUTO-CREATE-SLOT property
       o new REMOVABLE property
       o new MOUNT property
       o new UMOUNT property
       o new UMOUNT-LOCKFILE property
       o new UMOUNT-IDLE property
   * Change in amanda.conf
       o new meta-autolabel option
       o autolabel can include org, config, barcode, meta in the label
       o new client-name option in appication and script.
   * application and script in amanda-client.conf can be used to set default
     properties for application or script.
   * amlabel
       o The label argument is no longer required, an autolabel can be
	 generated
       o new --meta option
       o new --barcode option
       o new --assign option
   * amgtar, amstar: The path must be specified, it will not works with a
     device.
   * amrecover: decompression and decryption are now done on the client if
		compression/encryption was done on the client.
   * amtape: inventory print the current slot
   * amanda.conf:
       o autoflush have value "no|yes|all"
       o script have single-execution setting.
       o Add pre-amcheck, post-amcheck, pre-estimate, post-estimate, pre-backup
         and post-backup to execute-on of script.
       o Add taperscan and interactivity section.
       o add 'server' value in recovery-limit.
       o add dump-limit in a dumptype.
   * amanda-client.conf
       o add amdump-server setting.
   * script are searched in $APPLICATION_DIR, $CONFIG_DIR/<conf>/application
     and $CONFIG_DIR/application
   * amservice
       o add -s argument
       o is also installed on client
   * new amdumpd server service, if enable, it allow client to start a backup
     of itself.
   * new amdump_client program, it is use on client to start a backup of itself
   * implement restore command amzfs-sendrecv, it can be use with amrecover.

Changes in release 3.2.2

   * Do not restore the NUL padding bytes, some program fail with them.
   * Fix driver doing nothing if taper crash early.
   * Fix taperalog *FIT no going to second volume.
   * Fix amrestore '-p' not going to next file.
   * flush even if flush threshold are not met if it save tape space.
   * fix crash in amtrmidx due to memory leak.
   * amsamba use 'Use smbclient -TF' for restore.

Changes in release 3.2.1

   * barcode are added to the tapelist file.
   * Faster 'amadmin find', improve speed on many programs.
   * device-output-buffer-size default to a minimum of 4*block_size.
   * ssh auth use the client-port
   * Bug fixed:
      o "Can't opendata output stream: Connection refused".
      o Better handling of dump to tape.
      o Corrupted 'amdump' log file, amstatus not showing correct state.
      o Execute subprocess with the config overwrite.
      o tape-device allow to set LEOM.
      o Crash in robot changer.
      o Script output property are not sent to application.

Changes in release 3.2.0

   * Support for multiple simultaneous writes to storage devices
      o Can write to all available drives in parallel.
      o Works only with the new changer API.
      o Useful if two or more volumes are used in a single run.
      o dump direct to tape can be scheduled any time during the run,
        previously they were done sequencially after all dump to holding disk.
      o enabled with the new 'taper-parallel-write' configuration option.
   * Support for LEOM in storage devices
      o allows splitting without partial parts, saving space
      o much more efficient, since parts need not be cached on disk in most
        cases
   * new, simpler splitting commands in the tapetype section:
     part-size, part-cache-type, part-cache-dir, part-cache-max-size; see
     amanda.conf(5) for details
   * Amanda server configuration file changes (amanda.conf)
      o new configuration keyword:
         + taper-parallel-write -- How many drive amanda can write to
                                   in parallel.
      o deprecated configuration keywords:
         + amrecover_do_fsf
         + amrecover_check_label
   * the CONFIG parameter to amidxtaped is now required; this means that
     versions of amrecover older than 2.4.3 will be unable to recover from
     servers running Amanda-3.2 and later.
   * The new dumptype and global parameters 'recovery-limit' can be used to
     limit which hosts may recover from a particular DLE.  See amanda.conf(5)
     and amanda-auth(7) for more information.
   * Several old changers have been removed - these changers will work with
     Amanda for the forseeable future, but are no longer included in the
     distribution.
      o chg-chio
      o chg-chs
      o chg-iomega
      o chg-juke
      o chg-mcutil
      o chg-mtx
      o chg-null (use the new "chg-null:")
      o chg-rait (use the new "chg-rait:{dev1,dev2}")
      o chg-rth
      o chg-scsi-chio
      o chg-scsi
   * Amdump change:
      o new '--no-taper' option to start the run in degraded mode
   * Amvault is much improved, but still experimental:
      o supports assembling split parts on the source volume and re-splitting
        them on the destination
      o supports filtering dumps with the same syntax as amfetchdump
      o a --fulls-only option skips all incremental dumps on the source
      o an --export option tries to move tertiary volumes to import/export
        slots when completed
      o command-line syntax has changed incompatibly; see manpage or
        'amvault --help'
   * Rewritten and improved:
      o amoverview
      o amcheckdump

Changes in release 3.1.0

   * Deprecated old changers; see amanda-changers(7) for replacements.  These
     changers are still available in the distribution, but will be removed in a
     future release.
      o chg-null
      o chg-zd-mtx
      o chg-rait
      o chg-disk
      o chg-multi
   * Although chg-zd-mtx is still supported, we recommend that all users upgrade
     to the more efficient chg-robot.  See contrib/convert-zd-mtx-to-robot.sh
     for a useful conversion script.
   * Amanda server configuration file changes (amanda.conf)
      o deprecated configuration keywords:
	 + label_new_tapes
      o keywords deprecated in 2.6.1:
         + rawtapedev
	 + tapebufs
	 + file-pad
      o new configuration keyword
         + autolabel   -- replace label_new_tapes
         + columnspec  -- can specify a precision.
         + order       -- in script, to specify script order execution.
         + client_port -- in dumptype, to specify which port to connect on
                          the client.
         + estimate    -- in dumptype, can specify multiple estimate method.
      o accept 'define' keyword for defining an holdingdisk
   * Amanda client configuration file changes (amanda-client.conf)
      o new configuration keyword
         + debug_days  -- how many days to keep debug files.
         + client_port -- use by amrecover, specify which port to connect on
                          the server.
   * Removed compile-time default --with-changer-device: specify a device
     explicitly in amanda.conf instead
   * amtape behavior has changed:
      o 'device' subcommand removed
      o 'slot advance' subcommand removed
      o 'update' subcommand no longer displays each slot as it is updated, and
        is not supported by all changers
      o taperscan output has changed
      o new 'inventory' subcommand
   * amrmtape rewrite
      o use long option
         + --changer    -- Specify which changer to use
         + --cleanup    -- Remove logs and indexes associated with label
         + --dryrun     -- do not update the original copies.
         + --erase      -- Attempt to erase the data contained on the volume
         + --keep-label -- Do not remove label from the tapelist
         + --quiet      -- Opposite of --verbose
         + --verbose    -- List backups of hosts and disks that are being
                           discarded.
   * amdevcheck
      o new --label option.
      o new --properties option.
   * Device API
      o changed wildcard setting for S3_BUCKET_LOCATION from "" to "*"
      o new 'ndmp:' device to write to a tape on an ndmp server.
      o new 'dvdrw:' device to write to a dvd drive.
   * Application API
      o new properties to many applications
      o amgtar
         + new ACLS, SELINUX and XATTRS properties
      o amsamba
         + Allow '\' in diskname and amandapass.
         + new ALLOW-ANONYMOUS property.
      o new applications:
         + ampgsql  -- Backup PostgreSQL using continuous WAL archiving
         + amsuntar -- Backup filesytem with the SUN tar
         + amraw    -- Backup only one directory entry
   * New taper, with DirectTCP support, changed tape and catalog format:
      o all dumpfiles are now F_SPLIT_DUMPFILE
      o all on-tape dumpfiles have numparts=-1, since it's no longer possible
        to calculate this value in advance
      o there is no logging or reporting of zero-byte, successful parts (this
        may cause gaps in filenums in the catalog)
   * Redesigned amreport
      o much more natural command-line interface (just run 'amreport $config')
      o experimental XML output
   * configuration override for dumptype works with inheritance.

Changes in release 2.6.1p2
   * amtapetype: new -p option
   * Bugs fixed
      o S3 device driver
      o amcheckdump
      o file not removed from holding disk
      o sendbackup compatibility with a 2.4.2 server
      o handle EROFS error from tape device.
      o zfs snapshot name us the diskname.
      o fix fd allocation in amandad
      o crash in amflush

Changes in release 2.6.1p1

   * amplot: better output
   * Don't include genversion.h in distribution tarballs.
   * Bugs fixed
      o S3 device driver
      o rait device driver
      o amstatus
      o configure
      o application-api
      o compilation on some platform
      o others small bug

Changes in release 2.6.1

   * Amanda server configuration file changes (amanda.conf)
      o deprecated configuration keywords:
         + rawtapedev
	 + tapebufs
	 + file-pad
   * Application API: Allow to easily write wrappers around any backup program,
     See the 'amanda-applications' man page.
      o amgtar: Use GNU tar, it is a lot more configurable than the GNUTAR
        program. See 'amgtar' man page.
      o amstar: Use star to do a backup, it work only on a partition. See
        'amstar' man page.
      o amsamba: Use smbclient to backup a cifs share, see amsamba man page.
      o amzfs-sendrecv: Do a backup of a ZFS filesystem with 'zfs send'.
   * Script API: Allow to run script before and after amanda process, see the
     'amanda-scripts' man page.
      o amzfs-snapshot: Do a snapshot of a ZFS filesystem, then 'amgtar'
        application will backup the snapshot. See 'amzfs-snapshot' man page.
      o script-email: Simple script to send email. see 'script-email' man page.
   * Changer API v2.0: perl-based changer interface supporting concurrent
     use of multiple devices and changers.
      o currently operating in "compatibility mode," calling old changer
        shell scripts.
      o under active development.
   * Xfer API: generic library to move and filter data with maximal efficiency
      o can read from and write to arbitrary devices, files, etc.
      o only used in some applications.
   * Amanda archive format: A simple archive format that an application can
     use to create backup image.
   * 'amarchiver' program to manipulate file in amanda archive format.
   * Many improvements to report better error message to user.
   * amtape subcommands 'slot prev' and 'slot last' are removed.
   * Dozens more perl libraries, with more stable interfaces.
   * Many bugs fixed and improvement.
   * amgetconf '--client' option to retrieve config from
     amanda-client.conf on a client.
   * Amanda configuration file changes
       o new application-tool section
       o new script-tool section
       o new device section
       o new changer section

Changes in release 2.6.0

   * configure --disable-shared doesn't work because perl modules require
     shared libraries.  Use configure --with-static-binaries to build
     statically linked binaries.
   * 'amverify' and 'amverifyrun' are deprecated and replaced with the
     new, more flexible 'amcheckdump'
   * 'amdd' and 'ammt' are deprecated.
   * Some Amanda files are now installed in new "amanda/" subdirectories:
     libraries are now installed in $libdir/amanda and internal programs
     are now installed in $libexecdir/amanda.
   * The amandates file, previously at /etc/amandates, is now at
     $localstatedir/amanda/amandates.  You may want to move your existing
     /etc/amandates when you upgrade Amanda.
   * New 'amcryptsimple', 'amgpgcrypt' - encryption plugins based on gpg.
   * New 'amserverconfig', 'amaddclient' - Initial Amanda configuration tools
     these tools make assumptions, please see man page.
   * Many bugs fixed and code rewrite/cleanup
   * glib is required to compile and run amanda.
   * Device API: pluggable interface to storage devices, supporting tapes,
     vtapes, RAIT, and Amazon S3
   * New perl modules link directly to Amanda, to support writing Amanda
     applications in Perl. Perl module are installed by default in the perl
     installsitelib directory. It can be changed with
     'configure --with-amperldir'.
   * New 'local' security driver supports backups of the amanda server
     without any network connection or other configuration.
   * Almost 200 unit tests are available via 'make installcheck'.
   * Amanda configuration file changes
         o amanda.conf changes
               + flush-threshold-dumped
               + flush-threshold-scheduled
               + taperflush
               + device_property
               + usetimestamps default to yes

Changes in release 2.5.2p1

   * Many bugs fixed
         o Many IPv6 bugs
               + missing sockaddr_storage
               + missing AI_V4MAPPED and AI_ALL
               + compare of IPv4 and IPv6 v4mapped address.
               + (bsd/bsdudp): server use two sockets,
                  one for IPv4 and one for IPv6
         o amflush/autoflush
         o chown/chmod
         o amstatus
         o compilation on some platform
         o others small bug

Changes in release 2.5.2

   * Many bugs fixed and code cleanup
   * krb5 auth is working
   * Works with IPv6 address
   * Amanda configuration file changes
         o amanda.conf changes
               + debugging is enabled in the config file
                 see all debug_* config option
               + tapetype 'readblocksize', if maxtapeblocksize is set too
                 larger for your hardware

Changes in release 2.5.1p3

   * Many bugs fixed
   * amrecover improve handling of not ascii filename in index.
   * Works with tar-1.16 and exit status of 1.
   * Can define a LASTSLOT in a chg-disk config file.


Changes in release 2.5.1p2

   * Many bugs fixed
   * amoverview is working
   * dumptype starttime is working

   * Amanda command changes
         o amtape accept the -o arguments
         o amgetconf --list to list all tapetype, dumptype, holdingdisk
           or interface
         o amgetconf can return a value of a specific tapetype, dumptype,
           holdingdisk or interface


Changes in release 2.5.1p1

   * Many bugs fixed:
         o Timeout waiting for ACK
         o "illegal density" with dump
         o IRIX: Parse config file, amrecover
         o MacOs: compilation
         o amrecover with FreeBSD/OpenBSD
   * Some other small cleanup.
   * Remove contrib/sst.


Changes in release 2.5.1

   * Defects found by Coverity scan and Klocwork K7 analysis tools fixed.
   * Works with GNU tar 1.15.91 - work with new gtar state file format.
   * Open SSL encryption support
   * Two new authentication methods: bsdtcp, bsdudp.
   * Unlimited number of DLEs on a client with bsdtcp, rsh and ssh
     authentication methods.
   * Recovery process amrecover uses Secure API. amoldrecover command
     (same syntax and functionality as amrecover command) is provided for
     compatibility with old Amanda releases. amoldrecover command uses old
     amidxtaped/amindexd protocol.
   * Amanda debug files are separated into client/server/amandad and
     are also classified based on Amanda configuration name.

   * Amanda command changes
         o amfetchdump -o is replaced by -O.
         o amcheck -w option does all tests including the tape writable test.
           Use amcheck -t -w to do only the tape writable test.
         o -o command option to override Amanda configuration. See amanda man
           page for details.
         o amgetconf command doesn't write the BUGGY message when a entry
           is not found in the configuration file.

   * Amanda configuration file changes
         o amanda.conf changes
               + amrecover_do_fsf in amanda.conf defaults to yes
               + amrecover_check_label in amanda.conf defaults to yes
               + usetimestamps in amanda.conf to support multiple
                 backup runs in a calendar day.
               + holdingdisk in amanda.conf supports new values:
                 NEVER, AUTO, REQUIRED.
               + amandad_path, client_username and ssh_keys in
                 amanda.conf for ssh/rsh authentication.
         o New amanda client configuration file - amanda-client.conf.
           Different client configuration file can be used for each Amanda
           configuration.
               + gnutar_list-dir and amandates can be specified in
                 Amanda client configuration file - amanda-client.conf
         o .amandahosts format changes to allow use of secure API for recovery.
         o Amanda service entries in xinetd configuration has changed. 


Changes in release 2.5.0p2

* listhost subcommand in amrecover

Changes in release 2.5.0p1

* Add the 'amtape update' command.

Changes in release 2.5.0

* Communication security/authentication: Kerberos 4/5, OpenSSH
* Data security: Symmetric/Assymetric encrytion algorithms (aesutil
  and gpg encryption),  Encryption can be done on server or client,
  Custom encryption utilities can be used.
* Compression: Ability to add custom compression tools. This is a
  really useful feature especially since it can specified for a DLE.  You
  can use different compression algorithm for images, binaries, ascii files
  and so on.
* Dump images spanning multiple media volumes - Dump images are no
  longer restricted to a single media volume (tape or vtape).  Data restoration
  can be done using amrecover and amfetchdump commands.
* Auto tape labelling - This optional feature is good for disk backups.

Change in release 2.4.5p1

* New [--days <num>] argument to 'amadmin <conf> tape'.
* New amoverview -last -num0 -togo0 options.

Change in release 2.4.5

* new displayunit global option to select the unit use to display number
  k=kilo, m=mega, g=giga, t=tera.
* new amoverview -skipmissed option.

Change in release 2.4.5b1

* holding disk disk use timestamped directory.
* autoflush flush today's dump.
* new bumppercent global option, this should improve bumping criteria,
  the bumpsize is set to a fixed value which can be adequate for small
  and large disk.
* bumpsize, bumppercent, bumpdays and bumpmult can be in a dumptype.
* calcsize support include and exclude like gnutar.
* new 'estimate' dumptype option to select estimate type:
    CLIENT: estimate by the dumping program.
    CALCSIZE: estimate by the calcsize program, a lot faster but less acurate.
    SERVER: estimate based on statistic from previous run, take second but
            can be wrong on the estimate size.

Changes in release 2.4.4p3

* new chg-iomega changer script.
* amanda will not use a tape if it's label is not in the tapelist file
  (eg. after an amrmtape).

Changes in release 2.4.4p2

* new initial_poll_delay config in chg-zd-mtx
* 'amadmin find' list disk removed from the disklist.
* amrecover can recover a disk removed from the disklist file.
* amanda works with samba3.
* new chg-disk changer script to use with the file: driver.
* Kerberos 4 support integrated and functional again.

Changes in release 2.4.4p1

* amverify do not advance to next tape at the end.
* new amflush -b and -s options, change -f behavior.
* new chg-mcutil changer.
* amrecover_changer works with chg-multi.
* default driveslot for chg-zd-mtx is now 0.
* amplot generate color postscript by default.
* amplot -b flag to generate b/w postscript.
* rait: works with file:
* print a postscript label for each tape used.

Changes in release 2.4.4

* New -a option to amcheck to always send an email.

Changes in release 2.4.4b1

* maxpromoteday: New option for a dumptype.
* New amtapetype program (replace tapetype)
* Client compile on CYGWIN
* amrestore -f <fileno> : amrestore can do fsf before reading the tape
* amrestore -l <label>  : amrestore can check the label before restoring.
* New config options:
  amrecover_do_fsf: Amrecover will use the -f flag of amrestore to position the
                    tape.
  amrecover_check_label: amrecover will pass the -l flag to amrestore.
  amrecover_changer: amrecover will use your changer.
  maxdumpsize: The maximum size of the dumps during a run,
               default to tapesize * runtapes
  taperalgo: select your algo for the taper, try 'largestfit', it can improve
             tape usage.
* amrecover allow to retry a skip a tape.
* New --days option to 'amadmin <config> balance' command.
* New --date option to amstatus
* amreport print an usage by tape.
* Newer promote algorithm that try to reduce the number of full on a
  single host in a run.
* New changer: chg-juke, chg-null and chg-rait

Changes in release 2.4.3

* Few small bug fixed
* New runtapes argument to amverify.
* New amverifyrun program.
* 2.4.3 client works with older server.

Changes in release 2.4.3b4

* new noop packet type. It allow the server to know the client features.
* exclude list with relative path is working again.
* amstatus is working again.

Changes in release 2.4.3b3

* --with-maxtapeblocksize configure options
* blocksize tapetype option
* file-pad tapetype option
* Multiple exclude in dumptype
* Option include in dumptype
* New disklist syntax:
*   hostname diskname [ diskdevice ] dumptype [ spindle [ interface ] ]
* chg-zd-mtx: Major cleanup and general overhaul.
* amrecover: new listdisk command.

Changes in release 2.4.3b2

* amrestore try to find the next chunk in the current directory.
* amrecover: You can change the tape device between each tape.
* amstatus work with amflush.

Changes in release 2.4.3b1

* tapeio.
* New [host [disk]*]* arguments to amdump, amcheck, amadmin and amflush.
* New [-D datastamp]* arguments to amflush.
* amrecover: cd accept shell wildcard, new command cdx accept regex.
* new autoflush option.
* new dumperstr option to specify the priority order of each dumper.

Changes in release 2.4.2

* Samba passwords are now sent to smbclient via a pipe and never displayed.
* Debug files in /tmp/amanda (--with-debug-dir) are now timestamped and old
  ones automatically cleaned out.  This means more space (a few KBytes) will
  be used since in a given run, several of the programs are called more than
  once.  But it also means important debugging information should no longer
  be lost by the file being overwritten.  The length of time to keep the
  files is controlled by --with-debug-days (default: 4).  The old flag
  --with-pid-debug-files is no longer needed and is ignored.
* dumptypes can be specialized in the disklist file
* Amanda will never use more space than specified (use) for an holding
  disk
* A dump on holding disk can spread multiple holding disks
* negative chunksize is no longer supported
* chunksize is now 1 Gb by default
* ufsdump -S is now supported on Solaris
* Samba 2.0.0 is now supported
* New `incronly' strategy, similar to skip-full, but allows manual
  scheduling of full backups
* chg-scsi was ported to several platforms
* --with-amandahosts is now enabled by default
* new force-bump, force-no-bump and unforce-bump command in amadmin.
* Increased the maximum number of filesystems that can be backed up
  from a single host, by increasing the maximum UDP request packet
  size.
* A new `dtimeout' keyword in amanda.conf to replace the READ_TIMEOUT
  constant in dumper.c.
* A new `ctimeout' keyword in amanda.conf to replace the CHECK_TIMEOUT
  constant in amcheck.c.
* new amtrmlog command
* --with-samba-user is deprecated, the username go in the amandapass file

Changes in release 2.4.1

* FAQ for new users, in docs/FAQ.
* A new `runspercycle' keyword in amanda.conf to specify the number
  of amdump runs in a dumpcycle. The default is one run every day.
  A value of 0 (the default) means the same value as dumpcycle.  
  A value of -1 means guess the number of runs from the tapelist file,
  which is the number of tape used in the last dumpcycle days / runtapes.
  If you don't run amdump every days, you must set runspercycle
  otherwise amanda will noy be able to balance the dump. You must
  set runspercycle to -1 if you want the same behavior as previous
  version of amanda.
* Space to be use as holding disk can now be "use all space except ??? Kb"
  using a negative value for the 'use' parameter.
* amrecover will restore SAMBA backups using SAMBA.
* New `amstatus' program.
* New `chg-scsi' tape changer program, that replaces `chg-chio' and uses
  tape-changer-related ioctls on OSs that support them.
* Reporter can now print tape labels.
* ZFTAPEs are now supported on Linux.
* amrestore now accepts a list of filesystems to be restored.
* New `clean' amtape command.
* amlabel will only overwrite an Amanda tape if `-f' is specified.
* Tapes can now be marked so as not to be recycled with amadmin no-reuse.
* amidxtrm will no longer remove index files of backups in active tapes.
* Large dumps can now be split into multiple files on holding disk
  (but they won't span across tapes yet).
* A total estimate time-out may be specified.
* Fixed skip-incr and skip-full support.
* amcheck now accepts -Maddress to send e-mail to the specified address.
* amdump, amflush and amcheck will use the log files as locks, so as
  to avoid running concurrently.
* driver now supports configurable level-0 dumps in degraded mode via
  new amanda.conf keyword "reserve"; see docs/WHATS.NEW for details.
* Configure now looks for vxdump and vxrestore in /usr/lib/fs/vxfs for Solaris
  systems and will use it vxdump/vxrestore automatically on vxfs filesystems.
* New `killpgrp' setuid-root program, that kills estimate dumps even
  if they are setuid-root.

Changes in release 2.4.0p1

* Fixed kerberos encryption
* New --with-owner configure option, to specify owner of installed files
* amcheck now checks for the existence of gnutar-listdir and of a
  compressor on the server (for indexes and server compression)
* Implemented dumptype option `strategy skip'
* Updated to libtool 1.2a
* Minor portability-related bugfixes.

Changes in release 2.4.0

* Several security-related fixes, see docs/SECURITY for details.
* New configuration file syntax: dumptypes can now be used as keywords.
* New text database format, to replace dbm/ndbm/gdbm/db databases with
  a more portable and user-friendly format.
* Index files are now sent through a separate TCP connection, as they
  are generated, instead of being stored in /tmp.  This breaks Amanda
  protocol backward compatibility.
* Estimates are now performed concurrently, if maxdumps>1.
* At configure time, it is now possible to specify a suffix for amanda
  service names (--with-testing=suffix) and a directory for debugging
  files (--with-debugging=/directory/name)
* New tape changer configuration keywords, that partially standardize
  tape changer script configuration interface.
* amrecover can now handle GNU tar and AIX dump restores; it must now
  be run as root.
* Shared libraries are built by default, using GNU libtool.
* Extended regular expression syntax has been adopted.
* amcheck will no longer report failures about unused programs.
* It is now possible to specify a SAMBA username at configure time.
* BSD security is now enabled by default.
* A time-out for estimate requests can now be specified in amanda.conf.
* New patch-system script, for editing /etc/services and /etc/inetd.conf.
* Amdump will wait if a file named `hold' exists in the log directory.
* Various bugfixes and new ports.

Changes in release 2.3.0.4
* New chg-generic.conf option 'multieject' added which lets
  chg-generic work on tape drives that need multiple 'mt offline'
  commands.  See examples/chg-generic.conf for more information.
* New configure options:
  --with-db=DBLIB	   Force database library choice from {db,dbm,gdbm,ndbm}
  --enable-buffered-dump   Use buffered sockets on server for faster dumps
  --with-group=GROUPNAME   Install all files into group GROUPNAME
* Include the file seagate-changer.c which controls
  Seagate/Conner/Archive autoloading DAT drive on NetBSD systems.
* Add a new amanda.conf option named "starttime" which is used in the
  dumptype configuration.  It takes one argument which is a time of day
  (local timezone) formated as either hhmm or hmm (no `.'s, no `:'s,
  just an integer).  This tells Amanda to start a particular dump at
  the given time.
* Index files are now retrieved from the clients through amandad, not rsh/rcp.
* Fix configure bug when multiple invocations would not do the correct things.
* Better fully qualified domain name support.
* Many little dumper fixes.
* Remove C style comments from amrmtape and fix a bug when there is
  only one tape in the tapelist.
* More declarations of Unix system functions for those OSes that do not
  have declarations.
* Fix --with-mmap configure bug.

Changes in release 2.3.0.4b3
* Include amplot-2.2.6 which makes plots of the amdump files for performance
  improvements.  Amplot requires gnuplot and a version of awk that
  understands command line variable assignment.
* Include amoverview which creates a list of each disk dumped and the level
  and success or failure of those dumps over a complete tapecycle.
* Amanda now supports backups of clients in different domains.  Requires
  using the configure --with-fqdn options and fully qualified domain
  names (FQDNs) in the disklist file.
* rth-changer checks all system calls for valid returns.
* no-changer and hp-changer use different status files and do more checking.
* amrestore works again with gzip compressed tapes.
* New setuid program rundump for systems where dump must run as root.
* Setuid programs are now installed o-rwx for tighter security.
* Fix bug where if Amanda was not configured using the --with-bsd-security
  configure option, Amanda would not connect to the client machines.  This
  is now fixed.
* Rundump and runtar now check if the proper user is invoking them.
* Amanda now can use gdbm if the compatibility header files are not installed.
* Bug fixes for gnutar file exclusions.
* Fix bug in sendsize which would loop forever if debugging was not turned on.
* Bug fixes in Samba code.
* More configure and bug fixes for HP-UX, m88k-motorola-sysv4, SGI, OSF, and
  Ultrix systems.

Changes in release 2.3.0.4b2
* New tape changer script (rth-changer) for the Robotic Tape Handling system.
* Include amindex-1.0 from Alan McIvor.
* Gnutar incrementals should now work.
* amgetidx now caches if a remote client is reachable.
* amanda.conf settings used before --with-dbdir and --with-logdir settings
  in various scripts.
* New configure options:
  --with-mmap				force mmap() instead of shared memory
  --with-gnutar-listed-incremental=DIR	gnutar directory lists go in DIR
  --enable-gnutar-atime-preserve	gnutar preserves atime, do not use
  --with-pid-debug-files		use pid in /tmp debugging filenames
* Samba support must now be explicitly included using --with-smblcient.
* Amanda now compiles with K&R compilers.
* Better AIX, Linux, OSF support.
* configure checks if /dev/r devices exist or not.
* Amanda uses POSIX fcntl locking before flock or lockf locking if available.
* dumper.c uses less aggressive I/O values for SunOS server support.
* Many bug fixes in the configure script for various platforms.
* Many bug fixes to codes.

Changes in release 2.3.0.4b1
* Configuration now uses configure.  Build environment now uses
  automake and autoconf.
* Samba PC client backup support added.
* New programs and scripts:
  amrmtape: invalidate the contents of an existing backup tape
  amverify: check Amanda tapes for gnutar driven backups.
  hp-changer: script for a HP DAT changer.
  no-changer: make a single tape appear like an infinite count tape stacker.
* New options added to programs:
  amadmin: `amadmin <conf> version' shows version information.
  amtape: `amtape <conf> current' shows the current tape label,
* Amanda now supports server side compression of dumps on the tape
  host.  Use the srvcompress option in amanda.conf.
* Better gnutar support for indexing.  Amanda now lets you exclude
  files from the dump.
* Tape planning improvements.
* Email reports have better formating for disks with long mount points.
* Tighter DNS checking added to amandad.
* More debugging added to several programs.
* Amdump now calls amgetidx and amtrmidx.
* Better support for multidomain environments.
* Contains amindex-0.3 from Alan McIvor.
* Many bug fixes and compiler warnings handled.

Changes in release 2.3.0.3
* Amadmin uses regular expression matching to match disks.
* Expand the column width of the disk names from reporter.
* Contains amindex-0.2 from Alan McIvor.
* Many bug fixes.

Changes in release 2.3.0.2
* Bug fixes.

Changes in release 2.3.0.1
* Contains amindex-0.1 from Alan McIvor.
* Bug fixes.

Changes in release 2.3.0 alpha
* A number of material bugs fixed, including fixes incorporated into
  John Stoffel's WPI patches to amanda, which he called 2.2.6.5.
* Backup files larger than 2 GB now supported.  The current limit is
  2^31 Kbytes (2 terabytes), which should hold us for a few more years
  (1/2 :-).
* Support for GNUTAR-based backups.
* Support for writing to multiple tapes (sequentially) in one run.
* Support for multiple backups in parallel from the same client host.
* Records from the curinfo database can be exported and imported
  to/from a textual format.  This allows fixing a corrupted database by
  running the text version through a script and reimporting it.
  Individual records or the entire database can be exported/imported.

Changes in release 2.2.6
* A number of material bugs fixed.
* A lot of lint picked in the whole package.
* The documentation is now reasonably up to date.
* This version has been locally compiled and at least the client side
  tested on the following systems:
	SunOS 4.1.3	IRIX 5.2
	Solaris 2.3	BSDI BSD/386 1.1
	Ultrix 4.2	NetBSD 1.0
	DEC OSF/1 2.0	AIX 3.2
  I don't have any HP/UX machines locally to try it on, but I've
  tracked patches submitted by Neal Becker <neal@ctd.comset.com>, so
  I'm reasonably confident that 2.2.6 shouldn't be far from the mark on
  that platform.

Changes in release 2.2.5
* SYSV shared memory no longer required on server side if mmap is
  available.
* Supports GZIP compression.
* Supports use of mount names as well as device names in disk list
  (eg "/usr" instead of "sd0g").
* Amanda now thinks in real-time - you may run it several times a day
  if you wish, and it won't get confused.
* Supports Kerberos 4 security as well as BSD-style .rhosts, including
  encrypting files over the net.  The Kerberos support is available as
  a separate add-on package - see the file KERBEROS.HOW-TO-GET on the
  ftp site.
* Improved network protocol - faster startup, no longer dump specific,
  hooks in place for non-dump clients.
* Client-side checks in amcheck - can check sanity of all client hosts
  very quickly.
* Supports multiple holding disks, and load balances between them.
